import type { CResult } from '../types.mts'
import type {
  SocketSdkErrorType,
  SocketSdkOperations,
  SocketSdkResultType,
  SocketSdkReturnType
} from '@socketsecurity/sdk'
export declare function handleUnsuccessfulApiResponse<
  T extends SocketSdkOperations
>(_name: T, error: string, cause: string, status: number): never
export declare function handleFailedApiResponse<T extends SocketSdkOperations>(
  _name: T,
  { cause, error }: SocketSdkErrorType<T>
): CResult<never>
export declare function handleApiCall<T extends SocketSdkOperations>(
  value: Promise<SocketSdkResultType<T>>,
  fetchingDesc: string
): Promise<CResult<SocketSdkReturnType<T>['data']>>
export declare function tmpHandleApiCall<T>(
  value: Promise<T>,
  description: string
): Promise<Awaited<T>>
export declare function handleApiCallNoSpinner<T extends SocketSdkOperations>(
  value: Promise<SocketSdkResultType<T>>,
  description: string
): Promise<CResult<SocketSdkReturnType<T>['data']>>
export declare function handleApiError(code: number): Promise<string>
export declare function getLastFiveOfApiToken(token: string): string
export declare function getDefaultApiBaseUrl(): string | undefined
export declare function queryApi(
  path: string,
  apiToken: string
): Promise<Response>
//# sourceMappingURL=api.d.mts.map
